Bug 517749 - Feature request: real-time clock sanity check
Summary: Feature request: real-time clock sanity check
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-16 15:24 UTC by Ed Avis
Modified: 2014-03-17 03:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-01 22:08:49 UTC


Attachments (Terms of Use)

Description Ed Avis 2009-08-16 15:24:32 UTC
If the system's real-time clock (RTC) is set to a wildly incorrect date then it can cause various bizarre problems which are not easy for a non-technical user to diagnose.  One example is that visiting any https site in Firefox gives certificate warnings saying things like 'the certificate will not be valid until 2009-06-01'.

To a technically savvy person, this is an obvious clue to check the system's date, but for ordinary users it's a bit mystifying.  Other symptoms, such as incorrect 'received at' ordering of messages in Evolution, are equally puzzling.

I suggest adding a sanity check of the system date, either at installation time, or better still at boot time or login time.  As a rule of thumb, if the system clock is much earlier than the date of the Fedora release, pop up a dialogue box reporting the system's current date and time and give the option to change it.

This would prevent a lot of headscratching on systems with wonky RTCs, or where some user has set the date incorrectly.

Comment 1 Nils Philippsen 2009-09-01 09:32:27 UTC
System-config-date is the wrong component for this, changing component to initscripts.

Comment 2 Bill Nottingham 2009-09-01 22:08:49 UTC
The date is part of the panel; this should be a reasonably obvious clue for non-technical users.


Note You need to log in before you can comment on or make changes to this bug.